// ============================================================================
// Chatbot Main - Message - Content - Table
// ============================================================================
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Tr } from '@patternfly/react-table';
const TrMessage = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    let tdIndex = 0;
    // passthrough so we can place dataLabel on tds
    // places column name on correct child
    const modifyChildren = (children) => React.Children.map(children, (child) => {
        if (child.type.name === 'td' && props.extraHeaders) {
            const clonedChild = React.cloneElement(child, { dataLabel: props.extraHeaders[tdIndex] });
            tdIndex = tdIndex + 1;
            return clonedChild;
        }
        return child;
    });
    return React.createElement(Tr, Object.assign({}, props), modifyChildren(children));
};
export default TrMessage;
